package com.tuoheng.admin.enums.code.dept;

/**
 *  获取部门列表返回码
 *      模块代码：20（部门管理）
 *      接口代码：01 （获取部门列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum QueryDeptTreeListCodeEnum {

    DEPT_LIST_IS_NULL(1200101, "部门列表为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryDeptTreeListCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
